Bug 215033 - [ macOS wk1 iOS wk2 Release ] imported/w3c/web-platform-tests/websockets/cookies/third-party-cookie-accepted.https.html is a flaky failure
Summary: [ macOS wk1 iOS wk2 Release ] imported/w3c/web-platform-tests/websockets/cook...
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-07-31 14:24 PDT by Hector Lopez
Modified: 2020-08-01 13:00 PDT (History)
3 users (show)

See Also:


Attachments
mark as flaky (2.32 KB, patch)
2020-07-31 14:31 PDT, Hector Lopez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hector Lopez 2020-07-31 14:24:31 PDT
imported/w3c/web-platform-tests/websockets/cookies/third-party-cookie-accepted.https.html 

This test is flaky failing on macOS Release wk1 and iOS Release and iOS Release wk2. According to history the test has been flaky on iOS relatively soon after Resync. It has been flaky on macOS since 07/22/2020.

History:
https://results.webkit.org/?suite=layout-tests&test=imported%2Fw3c%2Fweb-platform-tests%2Fwebsockets%2Fcookies%2Fthird-party-cookie-accepted.https.html&platform=ios&platform=mac&limit=50000

Diff:
--- /Volumes/Data/slave/ios-simulator-13-release-tests-wk2/build/layout-test-results/imported/w3c/web-platform-tests/websockets/cookies/third-party-cookie-accepted.https-expected.txt
+++ /Volumes/Data/slave/ios-simulator-13-release-tests-wk2/build/layout-test-results/imported/w3c/web-platform-tests/websockets/cookies/third-party-cookie-accepted.https-actual.txt
@@ -1,3 +1,5 @@
 
-FAIL Test that third-party cookies are accepted for WebSockets. assert_not_equals: request should contain cookies. got disallowed value "(none)"
+Harness Error (TIMEOUT), message = null
 
+TIMEOUT Test that third-party cookies are accepted for WebSockets. Test timed out
+
Comment 1 Radar WebKit Bug Importer 2020-07-31 14:25:15 PDT
<rdar://problem/66398500>
Comment 2 Hector Lopez 2020-07-31 14:31:30 PDT
Created attachment 405740 [details]
mark as flaky
Comment 3 Truitt Savell 2020-07-31 15:22:29 PDT
Comment on attachment 405740 [details]
mark as flaky

Clearing flags on attachment: 405740

Committed r265161: <https://trac.webkit.org/changeset/265161>